Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface EJBPoolStats

All Superinterfaces:
  Stats

public interface EJBPoolStats
extends Stats

A Stats interface to represent the statistical data exposed by an EJB Bean Pool. These are based on the statistics exposed in S1AS7.0. All the EJB Pool implementations should expose statistical data by implementing this interface.

Method Summary
`CountStatistic` | `getJMSMaxMessagesLoad()` Returns the maximum number of messages to load into a JMS session, at a time, as a CountStatistic.
`BoundedRangeStatistic` | `getNumBeansInPool()` Returns the statistical information about the number of EJBs in the associated pool, as an instance of BoundedRangeStatistic.
`BoundedRangeStatistic` | `getNumThreadsWaiting()` Returns the number of threads waiting for free Beans, as an instance of CountStatistic.
`CountStatistic` | `getTotalBeansCreated()` Returns the number of Beans created in associated pool so far over time, since the gathering of data started, as a CountStatistic.
`CountStatistic` | `getTotalBeansDestroyed()` Returns the number of Beans destroyed from associated pool so far over time, since the gathering of data started, as a CountStatistic.

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getNumBeansInPool

    public BoundedRangeStatistic getNumBeansInPool()

  Returns the statistical information about the number of EJBs in the associated pool, as an instance of BoundedRangeStatistic. This returned value gives an idea about how the pool is changing.

  Returns:
    an instance of `BoundedRangeStatistic`

### getNumThreadsWaiting

    public BoundedRangeStatistic getNumThreadsWaiting()

  Returns the number of threads waiting for free Beans, as an instance of CountStatistic. This indicates the congestion of requests.

  Returns:
    an instance of `BoundedRangeStatistic`

### getTotalBeansCreated

    public CountStatistic getTotalBeansCreated()

  Returns the number of Beans created in associated pool so far over time, since the gathering of data started, as a CountStatistic.

  Returns:
    an instance of `CountStatistic`

### getTotalBeansDestroyed

    public CountStatistic getTotalBeansDestroyed()

  Returns the number of Beans destroyed from associated pool so far over time, since the gathering of data started, as a CountStatistic.

  Returns:
    an instance of `CountStatistic`

### getJMSMaxMessagesLoad

    public CountStatistic getJMSMaxMessagesLoad()

  Returns the maximum number of messages to load into a JMS session, at a time, as a CountStatistic.

  Returns:
    an instance of `CountStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.